# vim:set ft=sh:
# Maintainer: Dirk Berg <dberg1981@googlemail.com>

pkgname=libaacs-git
_gitname="libaacs"
pkgver=20220307.125eb6d
pkgrel=1
pkgdesc="Advanced Access Content System (git)"
arch=('x86_64')
license=('LGPL')
url="https://www.videolan.org/developers/libaacs.html"
makedepends=('git' 'flex' 'bison')
depends=('libgcrypt')
source=("$_gitname::git+https://code.videolan.org/videolan/libaacs.git")
sha512sums=('SKIP')
provides=('libaacs')
conflicts=('libaacs')

pkgver() {
	cd "$_gitname"
    git log -1 --date=short --format="%cd.%h" | tr -d '-'
}

build() {
	cd "$_gitname"
    ./bootstrap
    ./configure --prefix=/usr
    make
}

package() {
	cd "$_gitname"
    make DESTDIR="${pkgdir}" install
    install -Dm644 KEYDB.cfg "${pkgdir}/usr/share/doc/${pkgname}"/KEYDB.cfg
    install -Dm644 README.md "${pkgdir}/usr/share/doc/${pkgname}"/README.md
}
